import { ScaleBand, scaleBand } from 'd3'
import { DateTime } from 'luxon'
import { graphData } from './chartData.mock'

export const mockXScale: ScaleBand<string> = scaleBand()
  .domain(
    graphData.actualData.map(d =>
      d.date.toLocaleString(DateTime.DATETIME_SHORT)
    )
  )
  .range([0, 10])
  .padding(0.2)
