import { DateTime } from 'luxon'
import { Profile } from 'models'

export const mockProfileState: Profile = {
  id: '',
  ecogestureHash: '',
  challengeHash: '',
  duelHash: '',
  quizHash: '',
  explorationHash: '',
  isFirstConnection: false,
  partnersIssueSeenDate: {
    enedis: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    egl: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    grdf: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
      zone: 'utc',
    }),
  },
  lastConnectionDate: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
    zone: 'utc',
  }),
  haveSeenLastAnalysis: true,
  isAnalysisReminderEnabled: false,
  sendConsumptionAlert: false,
  waterDailyConsumptionLimit: 0,
  sendAnalysisNotification: true,
  isProfileEcogestureCompleted: false,
  mailToken: '',
  monthlyAnalysisDate: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
    zone: 'utc',
  }),
  isProfileTypeCompleted: false,
  onboarding: {
    isWelcomeSeen: true,
  },
  haveSeenEcogestureModal: false,
  activateHalfHourDate: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
    zone: 'utc',
  }),
  customPopupDate: DateTime.fromISO('0000-01-01T00:00:00.000Z', {
    zone: 'utc',
  }),
}
